# Directory containing class headers.
SET(VTK_POINTSPRITE_RENDERING_HEADER_DIR "${VTK_INSTALL_PREFIX}/include/paraview-3.10")

# Classes in vtkPointSprite_Rendering.
SET(VTK_POINTSPRITE_RENDERING_CLASSES
  "vtkDepthSortPainter"
  "vtkPointSpriteDefaultPainter"
  "vtkTwoScalarsToColorsPainter"
  "vtkPointSpriteProperty"
  "vtkImageSpriteSource"
  "vtkPointSpriteCoincidentTopologyResolutionPainter")

# Abstract classes in vtkPointSprite_Rendering.
SET(VTK_POINTSPRITE_RENDERING_CLASSES_ABSTRACT)

# Wrap-exclude classes in vtkPointSprite_Rendering.
SET(VTK_POINTSPRITE_RENDERING_CLASSES_WRAP_EXCLUDE)

# Wrap-special classes in vtkPointSprite_Rendering.
SET(VTK_POINTSPRITE_RENDERING_CLASSES_WRAP_SPECIAL)

# Wrappable non-class headers for vtkPointSprite_Rendering.
SET(VTK_POINTSPRITE_RENDERING_WRAP_HEADERS)

# Set convenient variables to test each class.
FOREACH(class ${VTK_POINTSPRITE_RENDERING_CLASSES})
  SET(VTK_CLASS_EXISTS_${class} 1)
ENDFOREACH(class)
FOREACH(class ${VTK_POINTSPRITE_RENDERING_CLASSES_ABSTRACT})
  SET(VTK_CLASS_ABSTRACT_${class} 1)
ENDFOREACH(class)
FOREACH(class ${VTK_POINTSPRITE_RENDERING_CLASSES_WRAP_EXCLUDE})
  SET(VTK_CLASS_WRAP_EXCLUDE_${class} 1)
ENDFOREACH(class)
FOREACH(class ${VTK_POINTSPRITE_RENDERING_CLASSES_WRAP_SPECIAL})
  SET(VTK_CLASS_WRAP_SPECIAL_${class} 1)
ENDFOREACH(class)
